Bug 80234 - EDITING: OpenCL with HSA breaks fill-down formulas
Summary: EDITING: OpenCL with HSA breaks fill-down formulas
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-19 13:09 UTC by Jonathan Teutenberg
Modified: 2015-07-18 17:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Teutenberg 2014-06-19 13:09:51 UTC
Problem description: 
Enabling HSA on A10-7850K results in formulas that are "filled down" producing incorrect values.

Steps to reproduce:
1. Go to Options... enable OpenCL for formulas using A10-7850K
2. Enter values 1 to 4 in cells A1 to A4
3. Enter "=A1/10+2" in cell B1
4. Drag to fill-down this formula from B2 to B3

Current behavior:
Cells B1 and B2 show expected values (2.1 and 2.2), cells B3 and B4 show the value 12. 
Note that pressing "enter" on the cells does not cause a correct cell update.
Everything functions as expected when not using OpenCL or selecting a different device.

Expected behavior:
Cells B3 and B4 should show values 2.3 and 2.4 respectively.
              
Operating System: Ubuntu
Version: 4.2.3.3 release
Comment 1 Buovjaga 2014-11-18 12:16:12 UTC
Unable to reproduce. Please test with 4.3.x.

Set to NEEDINFO.
Change back to UNCONFIRMED, if the problem persists. Change to RESOLVED WORKSFORME, if the problem went away.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 3cf226622a3d8c09d655034dbcc81695f1662b87
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-15_23:24:22

and

Version: 4.3.3.2
Build ID: 430m0(Build:2)
Comment 2 QA Administrators 2015-06-08 14:28:44 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!

This NEEDINFO Message was generated on: 2015-06-08

Warm Regards,
QA Team
Comment 3 QA Administrators 2015-07-18 17:27:20 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-07-18